attacca
Workflows

Create a workflow

The workflow lands in a project: an omitted `project_id` resolves to the account's Default one.

POST
/v1/workflows

The workflow lands in a project: an omitted project_id resolves to the account's Default one.

Authorization

api_key workflows:write
AuthorizationBearer <token>

An atk_-prefixed API key, created under Settings → API keys.

In: header

Scope: workflows:write

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/workflows" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "created_at": "2019-08-24T14:15:22Z",  "description": "string",  "draft_revision_id": "a2b08189-75ab-4941-8b66-156dfed9f375",  "icon": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "published_revision_id": "95cbc7a1-fc13-4055-a6cd-38f318be5907",  "state": "string",  "updated_at": "2019-08-24T14:15:22Z"}